MINTPY-LOAD_DATA(1)

NAME
mintpy-load_data - Saving a stack of Interferograms to an HDF5 file

DESCRIPTION
usage: load_data.py [-h] [-H] [-t TEMPLATE_FILE [TEMPLATE_FILE ...]]

[--project PROJECT_NAME]
    [--processor {isce,aria,hyp3,gmtsar,snap,gamma,roipac,cosicorr}] [--enforce] [--compression {None,gzip,lzf}] [-o OUTFILE OUTFILE OUTFILE]

Saving a stack of Interferograms to an HDF5 file

  options:

-h, --help
    show this help message and exit

-H  Print/Show the example template file for loading.

-t TEMPLATE_FILE [TEMPLATE_FILE ...], --template TEMPLATE_FILE [TEMPLATE_FILE ...]
    template file with path info.

--project PROJECT_NAME
    project name of dataset for INSARMAPS Web Viewer

--processor {isce,aria,hyp3,gmtsar,snap,gamma,roipac,cosicorr}
    InSAR processor/software of the file

--enforce, -f
    Disable the update mode, or skip checking dataset already loaded.

--compression {None,gzip,lzf}
    compress loaded geometry while writing HDF5 file, default: None.

-o OUTFILE OUTFILE OUTFILE, --output OUTFILE OUTFILE OUTFILE
    output HDF5 file

  template options:

    ##---------add attributes manually ## MintPy requires attributes listed at: https://mintpy.readthedocs.io/en/latest/api/attributes/ ## Missing attributes can be added below manually (uncomment #), e.g. # ORBIT_DIRECTION = ascending # PLATFORM = CSK # ... ## a. autoPath - automatic path pattern defined in mintpy.defaults.auto_path.AUTO_PATH_* ## b. load_data.py -H to check more details and example inputs. ## c. compression to save disk usage for ifgramStack.h5 file: ## no - save 0% disk usage, fast [default] ## lzf - save ~57% disk usage, relative slow ## gzip - save ~62% disk usage, very slow [not recommend] mintpy.load.processor = auto #[isce, aria, hyp3, gmtsar, snap, gamma, roipac], auto for isce mintpy.load.autoPath = auto #[yes / no], auto for no, use pre-defined auto path mintpy.load.updateMode = auto #[yes / no], auto for yes, skip re-loading if HDF5 files are complete mintpy.load.compression = auto #[gzip / lzf / no], auto for no. ##---------for ISCE only: mintpy.load.metaFile = auto #[path of common metadata file for the stack], i.e.: ./reference/IW1.xml, ./referenceShelve/data.dat mintpy.load.baselineDir = auto #[path of the baseline dir], i.e.: ./baselines ##---------interferogram datasets: mintpy.load.unwFile = auto #[path pattern of unwrapped interferogram files] mintpy.load.corFile = auto #[path pattern of spatial coherence files] mintpy.load.connCompFile = auto #[path pattern of connected components files], optional but recommended mintpy.load.intFile = auto #[path pattern of wrapped interferogram files], optional mintpy.load.ionoFile = auto #[path pattern of ionospheric delay files], optional mintpy.load.magFile = auto #[path pattern of interferogram magnitude files], optional ##---------offset datasets (optional): mintpy.load.azOffFile = auto #[path pattern of azimuth offset file], optional mintpy.load.rgOffFile = auto #[path pattern of range offset file], optional mintpy.load.azOffStdFile = auto #[path pattern of azimuth offset variance file], optional mintpy.load.rgOffStdFile = auto #[path pattern of range offset variance file], optional mintpy.load.offSnrFile = auto #[path pattern of offset signal-to-noise ratio file], optional ##---------geometry datasets: mintpy.load.demFile = auto #[path of DEM file] mintpy.load.lookupYFile = auto #[path of latitude /row /y coordinate file], not required for geocoded data mintpy.load.lookupXFile = auto #[path of longitude/column/x coordinate file], not required for geocoded data mintpy.load.incAngleFile = auto #[path of incidence angle file], optional but recommended mintpy.load.azAngleFile = auto #[path of azimuth angle file], optional mintpy.load.shadowMaskFile = auto #[path of shadow mask file], optional but recommended mintpy.load.waterMaskFile = auto #[path of water mask file], optional but recommended mintpy.load.bperpFile = auto #[path pattern of 2D perpendicular baseline file], optional ##---------multilook (optional): ## multilook while loading data with nearest interpolation, to reduce dataset size mintpy.load.ystep = auto #[int >= 1], auto for 1 - no multilooking mintpy.load.xstep = auto #[int >= 1], auto for 1 - no multilooking ##---------subset (optional): ## if both yx and lalo are specified, use lalo option unless a) no lookup file AND b) dataset is in radar coord mintpy.subset.yx = auto #[y0:y1,x0:x1 / no], auto for no mintpy.subset.lalo = auto #[S:N,W:E / no], auto for no

  NOTE:

    For interferogram, unwrapPhase is required, the other dataset are optional, including coherence, connectComponent, wrapPhase, etc. The unwrapPhase metadata file requires DATE12 attribute in YYMMDD-YYMMDD format. All path of data file must contain the reference and secondary date, either in file name or folder name.

  example:

    load_data.py -t GalapagosSenDT128.tempalte load_data.py -t smallbaselineApp.cfg load_data.py -t smallbaselineApp.cfg GalapagosSenDT128.tempalte --project GalapagosSenDT128 load_data.py -H #Show example input template for ISCE/ROI_PAC/GAMMA products

    # load geometry only # fill metaFile, baselineDir and geometry datasets in the template and run load_data.py